package com.yizhi.message.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author taoge123
 * @since 2020-03-29
 */
@Data
@ApiModel(value = "MessageReadRecordVo", description = "")
@TableName("message_read_record")
public class MessageReadRecord {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "id  学员收到消息记录表")
	private Long id;

    @ApiModelProperty(value = "用户消息id")
	@TableField("message_account_id")
	private Long messageAccountId;

    @ApiModelProperty(value = "账号id")
	@TableField("account_id")
	private Long accountId;

	@ApiModelProperty(value = "指定范围指定范围(0:全平台,1:指定用户)")
	@TableField("visible_range")
	private Integer visibleRange;

    @ApiModelProperty(value = "是否已读(0:否,1:是)")
	private Integer readed;

    @ApiModelProperty(value = "读取时间")
	@TableField("read_time")
	private Date readTime;

    @ApiModelProperty(value = "创建人id")
	@TableField(value = "create_by_id", fill = FieldFill.INSERT)
	private Long createById;

    @ApiModelProperty(value = "创建人账号")
	@TableField(value = "create_by_name", fill = FieldFill.INSERT)
	private String createByName;

    @ApiModelProperty(value = "创建时间")
	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;



}
